org.codehaus.plexus.component.factory

## Class AbstractComponentFactory

- java.lang.Object
- - org.codehaus.plexus.component.factory.AbstractComponentFactory

All Implemented Interfaces:
  ComponentFactory

Direct Known Subclasses:
  JavaComponentFactory

    public abstract class AbstractComponentFactory
    extends java.lang.Object
    implements ComponentFactory

Version:
  $Id: AbstractComponentFactory.java 6989 2007-10-22 22:56:29Z jvanzyl $
Author:
  Jason van Zyl

### Field Summary

### Fields inherited from interface org.codehaus.plexus.component.factory.ComponentFactory

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractComponentFactory()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.codehaus.plexus.component.factory.ComponentFactory

`getId, newInstance`

### Constructor Detail

#### AbstractComponentFactory

    public AbstractComponentFactory()